This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 801439 - Review Request: rubygem-netrc - Library to read and write netrc files
Review Request: rubygem-netrc - Library to read and write netrc files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 09:33 EST by Vít Ondruch
Modified: 2014-07-21 08:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: rubygem-netrc-0.7.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-03-08 09:33:51 EST
Spec URL: http://people.redhat.com/vondruch/rubygem-netrc.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-netrc-0.7-1.fc18.src.rpm
Description: This library can read and update netrc files, preserving formatting including comments and whitespace.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3869119

Please note that there is no yet specified license: https://github.com/geemus/netrc/issues/4
Comment 1 Bohuslav "Slavek" Kabrda 2012-03-09 01:59:02 EST
I'll take this one.
Comment 2 Bohuslav "Slavek" Kabrda 2012-03-09 02:10:38 EST
- rpmlint shows this error: "rubygem-netrc-doc.noarch: E: non-readable /usr/share/gems/gems/netrc-0.7/data/sample.netrc 0600L", I believe that the right permissions should be 644.
- Otherwise the package looks fine, but we will have to wait for the author to state the license before it gets approved.
Comment 3 Vít Ondruch 2012-03-09 03:25:09 EST
(In reply to comment #2)
> - rpmlint shows this error: "rubygem-netrc-doc.noarch: E: non-readable
> /usr/share/gems/gems/netrc-0.7/data/sample.netrc 0600L", I believe that the
> right permissions should be 644.

Actually I am aware of the report and I believe it is false positive. There are two files in the data directory, the sample.netrc and permissive.netrc. The only difference between these two are the rights. Since "permissive" has more relaxed rights then the sample.netrc, I believe that the permissions are correct and the rpmlint error is false positive.
Comment 4 Bohuslav "Slavek" Kabrda 2012-03-09 03:35:42 EST
(In reply to comment #3)
> (In reply to comment #2)
> > - rpmlint shows this error: "rubygem-netrc-doc.noarch: E: non-readable
> > /usr/share/gems/gems/netrc-0.7/data/sample.netrc 0600L", I believe that the
> > right permissions should be 644.
> 
> Actually I am aware of the report and I believe it is false positive. There are
> two files in the data directory, the sample.netrc and permissive.netrc. The
> only difference between these two are the rights. Since "permissive" has more
> relaxed rights then the sample.netrc, I believe that the permissions are
> correct and the rpmlint error is false positive.


Ah, I see, that makes sense. This package is therefore APPROVED (but please wait for the license clarification).
Comment 5 Vít Ondruch 2012-03-09 03:53:13 EST
Thank you for your review. I will not build it before the license is clarified.

New Package SCM Request
=======================
Package Name: rubygem-netrc
Short Description: Library to read and write netrc files
Owners: vondruch bkabrda
Branches: 
InitialCC:
Comment 6 Gwyn Ciesla 2012-03-09 09:22:07 EST
Git done (by process-git-requests).
Comment 7 Bohuslav "Slavek" Kabrda 2012-03-14 02:31:11 EDT
Package Change Request
======================
Package Name: rubygem-netrc
New Branches: f17
Owners: vondruch bkabrda
Comment 8 Gwyn Ciesla 2012-03-14 08:28:31 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-03-14 09:26:07 EDT
rubygem-netrc-0.7.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-netrc-0.7.1-1.fc17
Comment 10 Fedora Update System 2012-03-15 22:44:45 EDT
Package rubygem-netrc-0.7.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-netrc-0.7.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3884/rubygem-netrc-0.7.1-1.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-03-21 14:50:07 EDT
rubygem-netrc-0.7.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Troy Dawson 2014-07-18 17:52:32 EDT
Package Change Request
======================
Package Name: rubygem-netrc
New Branches: epel7
Owners: tdawson
Comment 13 Gwyn Ciesla 2014-07-21 08:42:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.